%define	name		opencity
%define cname		OpenCity
%define version		0.0.6.1
%define release		%mkrel 1

Summary: 		City simulator game
Name: 			%{name}
Version: 		%{version}		
Release: 		%{release}
License: 		GPL
Group: 			Games/Strategy
URL: 			http://www.opencity.info/
Source0: 		%{name}-%{version}stable.tar.bz2
BuildRoot: 		%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:		libSDL_net-devel
BuildRequires:		libSDL_mixer-devel
BuildRequires:		libSDL_image-devel
BuildRequires:		libmesagl-devel
BuildRequires:		libmesaglu-devel
BuildRequires:		ImageMagick
BuildRequires:		libpng-devel
BuildRequires:		desktop-file-utils
Requires(post): 	desktop-file-utils
Requires(postun): 	desktop-file-utils


%description
OpenCity is a city simulator game project written in standard C++ with OpenGL
and SDL from scratch. It is not intended to be a clone of any famous city 
simulator from Max*s. So, if you are looking to download a free SimCity 4 like,
please forget OpenCity. I work on it at my spare time, I really meant it 
"my spare time" !

%prep
%setup -q -n %{name}-0.0.6stable

%build
%configure2_5x  --bindir=%{_gamesbindir}

%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# prepare icon
mkdir -p $RPM_BUILD_ROOT{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
convert -geometry 16x16 %{name}.png $RPM_BUILD_ROOT%{_miconsdir}/%{cname}.png
convert -geometry 32x32 %{name}.png $RPM_BUILD_ROOT%{_iconsdir}/%{cname}.png
convert -geometry 48x48 %{name}.png $RPM_BUILD_ROOT%{_liconsdir}/%{cname}.png


# fix the .desktop
# an Icon name don't have an extension, so we remove it
perl -i -pe 's/opencity.png/opencity/' %{name}.desktop

desktop-file-install --vendor="" \
                --add-category="X-MandrivaLinux-MoreApplications-Games-Strategy" \
		--dir %{buildroot}%{_datadir}/applications %{name}.desktop

# add script to launch opencity with data path
mv $RPM_BUILD_ROOT%{_gamesbindir}/%{name} $RPM_BUILD_ROOT%{_gamesbindir}/%{name}-bin

mkdir -p $RPM_BUILD_ROOT%{_bindir}
cat > $RPM_BUILD_ROOT%{_bindir}/%{name} << EOF
#!/bin/sh
cd /usr/games
./%{name}-bin 
EOF
chmod +x $RPM_BUILD_ROOT%{_bindir}/%{name}

%post
%{update_desktop_database}
%{update_menus}

%postun
%{clean_desktop_database}
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_docdir}/%{name} 
%{_bindir}/%{name}
%{_gamesbindir}/%{name}-bin
%{_sysconfdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man6/*
%{_miconsdir}/%{cname}.png
%{_iconsdir}/%{cname}.png
%{_liconsdir}/%{cname}.png


%changelog
* Sat Aug 01 2009 slick50 <lxgator@gmail.com> 0.0.6.1-1pclos2009
- 0.0.6.1

* Sun Apr 06 2008 P. K. Frederic <pkfric@yahoo.com> 0.0.5.1-1pclos2007
- code cleaning
- first RPM for PCLinuxOS


